<?php
/**
 * The Header Right Sidebar containing the header right widget area
 *
 * @package Decree Pro
 */

?>


<?php
/**
 * decree_before_header_right hook
 */
do_action( 'decree_before_header_right' ); ?>

<aside class="sidebar sidebar-header-right widget-area">
	<?php
	if ( has_nav_menu( 'header-right' ) ) {
	?>
		<section class="menu-header-right" id="header-right-menu-widget">
	    	<button id="menu-toggle-header-right" class="menu-toggle"><?php esc_html_e( 'Menu', 'decree-pro' ); ?></button>

	    	<div id="site-header-right-menu">
	    		<nav id="nav-header-right" class="nav-header-right" role="navigation">
		            <div class="wrapper">
		                <?php
		                    $decree_header_right_menu_args = array(
		                        'theme_location'    => 'header-right',
		                        'menu_class' => 'menu decree-nav-menu'
		                    );
		                    wp_nav_menu( $decree_header_right_menu_args );
		                ?>
		        	</div><!-- .wrapper -->
		        </nav><!-- .nav-header-right -->
		    </div><!-- #site-header-right-menu -->
		</section><!-- .widget -->
	<?php
	}
	else {
		//Header Right Widgets Sidebar
		if ( is_active_sidebar( 'header-right' ) ) {
		   	dynamic_sidebar( 'header-right' );
		}
		else {
			$options = decree_get_theme_options();
			if ( '' !== $options['header_right_call_text'] || '' !== $options['header_right_call_number'] || '' !== $options['header_right_button_text'] ) :

			?>
			<section id="call-to-action-widget" class="widget widget_text">
				<div class="widget-wrap">
					<?php
					if ( '' !== $options['header_right_call_text'] || '' !== $options['header_right_call_number'] ) :
					?>
					<div class="col col-1">
						<h2 class="widget-title"><?php echo $options['header_right_call_text']; ?></h2>
						<div class="textwidget"><p><?php echo $options['header_right_call_number']; ?></p></div>
					</div>
					<?php
					endif;
					?>

					<?php
					if ( '' !== $options['header_right_button_text'] ) :
					?>
					<div class="col col-2">
						<a href="<?php echo esc_url( $options['header_right_button_link'] ); ?>" class="button-minimal red" target="<?php echo $options['header_right_button_link_target']? '_blank' : '_self'; ?>"><?php echo $options['header_right_button_text']; ?></a>
					</div>
					<?php
					endif;
					?>
				</div>
			</section>
		<?php
			endif;
		}
	}
	?>
</aside><!-- .sidebar .header-sidebar .widget-area -->

<?php
/**
 * decree_after_header_right hook
 */
do_action( 'decree_after_header_right' );
